Bug 495896 (CVE-2009-1182) - CVE-2009-1182 PDF JBIG2 MMR decoder buffer overflows
Summary: CVE-2009-1182 PDF JBIG2 MMR decoder buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard:
Depends On: 490716 490717 492384 492385 492386 492387 496942 496943 496944 577322 577323 577328 577329
Blocks: 491864
TreeView+ depends on / blocked
 
Reported: 2009-04-15 13:54 UTC by Josh Bressers
Modified: 2019-09-29 12:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 08:43:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC
Red Hat Product Errata RHSA-2009:0430 normal SHIPPED_LIVE Important: xpdf security update 2009-04-16 22:52:59 UTC
Red Hat Product Errata RHSA-2009:0431 normal SHIPPED_LIVE Important: kdegraphics security update 2009-04-16 22:53:18 UTC
Red Hat Product Errata RHSA-2009:0458 normal SHIPPED_LIVE Important: gpdf security update 2009-04-30 20:58:15 UTC
Red Hat Product Errata RHSA-2009:0480 normal SHIPPED_LIVE Important: poppler security update 2009-05-13 14:32:34 UTC
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Josh Bressers 2009-04-15 13:54:11 UTC
Multiple buffer overflow flaws were found in xpdf's JBIG2 MMR decoder. A
carefully crafted PDF file could result in arbitrary code execute with the
permissions of the user running xpdf.

Will Dormann of the CERT/CC created the extensive testsuite for the JBIG2
decoder in various PDF libraries that found this flaw.

Acknowledgements:

Red Hat would like to thank Will Dormann of the CERT/CC for responsibly
reporting these flaws.

Comment 2 Vincent Danen 2009-04-16 21:34:08 UTC
Embargo has been lifted.

Comment 3 Fedora Update System 2009-04-17 19:01:56 UTC
xpdf-3.02-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc9

Comment 4 Fedora Update System 2009-04-17 19:03:14 UTC
xpdf-3.02-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc10

Comment 6 Fedora Update System 2009-04-22 00:53:21 UTC
xpdf-3.02-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-04-22 00:58:33 UTC
xpdf-3.02-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2009-04-24 07:56:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:0430 https://rhn.redhat.com/errata/RHSA-2009-0430.html

Comment 9 errata-xmlrpc 2009-04-24 08:05:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0431 https://rhn.redhat.com/errata/RHSA-2009-0431.html

Comment 10 errata-xmlrpc 2009-04-24 08:26:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 11 errata-xmlrpc 2009-04-30 20:58:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0458 https://rhn.redhat.com/errata/RHSA-2009-0458.html

Comment 12 errata-xmlrpc 2009-05-13 14:32:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0480 https://rhn.redhat.com/errata/RHSA-2009-0480.html

Comment 15 errata-xmlrpc 2010-05-06 18:54:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 16 errata-xmlrpc 2010-05-06 19:09:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html


Note You need to log in before you can comment on or make changes to this bug.